Package de.willuhn.jameica.hbci.server

# Class UeberweisungImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl
de.willuhn.jameica.hbci.server.AbstractBaseUeberweisungImpl
de.willuhn.jameica.hbci.server.UeberweisungImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `BaseUeberweisung`, `HibiscusDBObject`, `HibiscusTransfer`, `Terminable`, `Transfer`, `Ueberweisung`, `Serializable`, `Remote`

public class UeberweisungImpl extends AbstractBaseUeberweisungImpl implements Ueberweisung
Eine Ueberweisung.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`UeberweisungImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getTableName()`
`protected void`
`insertCheck()`
`boolean`
`isTerminUeberweisung()`
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.
`boolean`
`isUmbuchung()`
Prueft, ob es sich um einen bankinterne Umbuchung handelt.
`void`
`setTerminUeberweisung(boolean termin)`
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.
`void`
`setUmbuchung(boolean b)`
Legt fest, ob es sich um eine bankinterne Umbuchung handelt.
`boolean`
`ueberfaellig()`
Prueft, ob die Ueberweisung ueberfaellig ist.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractBaseUeberweisungImpl

`ausgefuehrt, getAusfuehrungsdatum, getPrimaryAttribute, getTermin, getTextSchluessel, insert, markingExecuted, setAusgefuehrt, setTermin, setTextSchluessel, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl

`delete, getAttribute, getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getKonto, getWeitereVerwendungszwecke, getZweck, getZweck2, overwrite, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2, store`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.BaseUeberweisung

`getTextSchluessel, setTextSchluessel`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Constructor Details

### UeberweisungImpl

public UeberweisungImpl() throws RemoteException

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `AbstractBaseUeberweisungImpl`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHibiscusTransferImpl.insertCheck()`

### isTerminUeberweisung

public boolean isTerminUeberweisung() throws RemoteException
Description copied from interface: `Ueberweisung`
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.

Specified by:
  `isTerminUeberweisung` in interface `Ueberweisung`
Returns:
  true, wenn es eine bankseitige Termin-Ueberweisung ist.
Throws:
  `RemoteException`
See Also:
  - `Ueberweisung.isTerminUeberweisung()`

### setTerminUeberweisung

public void setTerminUeberweisung(boolean termin) throws RemoteException
Description copied from interface: `Ueberweisung`
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.

Specified by:
  `setTerminUeberweisung` in interface `Ueberweisung`
Parameters:
  `termin` - true, wenn es eine bankseitige Terminueberweisung sein soll.
Throws:
  `RemoteException`
See Also:
  - `Ueberweisung.setTerminUeberweisung(boolean)`

### ueberfaellig

public boolean ueberfaellig() throws RemoteException
Description copied from interface: `Terminable`
Prueft, ob die Ueberweisung ueberfaellig ist.

Specified by:
  `ueberfaellig` in interface `Terminable`
Overrides:
  `ueberfaellig` in class `AbstractBaseUeberweisungImpl`
Returns:
  true, wenn sie ueberfaellig ist.
Throws:
  `RemoteException`
See Also:
  - `AbstractBaseUeberweisungImpl.ueberfaellig()`

### isUmbuchung

public boolean isUmbuchung() throws RemoteException
Description copied from interface: `Ueberweisung`
Prueft, ob es sich um einen bankinterne Umbuchung handelt.

Specified by:
  `isUmbuchung` in interface `Ueberweisung`
Returns:
  true, wenn es eine bankinterne Umbuchung ist.
Throws:
  `RemoteException`
See Also:
  - `Ueberweisung.isUmbuchung()`

### setUmbuchung

public void setUmbuchung(boolean b) throws RemoteException
Description copied from interface: `Ueberweisung`
Legt fest, ob es sich um eine bankinterne Umbuchung handelt.

Specified by:
  `setUmbuchung` in interface `Ueberweisung`
Parameters:
  `b` - true, wenn es eine bankinterne Umbuchung sein soll.
Throws:
  `RemoteException`
See Also:
  - `Ueberweisung.setUmbuchung(boolean)`